Package: org.grails.plugins

## [Java] Class ExcludingPluginFilter

- org.grails.plugins.ExcludingPluginFilter

-     @java.lang.SuppressWarnings({ "unchecked", "rawtypes" })
      public class ExcludingPluginFilter
      extends BasePluginFilter

  Implementation of `PluginFilter` which removes that all of the supplied plugins (identified by name) as well as their dependencies are omitted from the filtered plugin list.

  Authors:
    Phil Zoio

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BasePluginFilter` | `addedNames, derivedPlugins, explicitlyNamedPlugins, nameMap, originalPlugins, suppliedNames`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExcludingPluginFilter (java.util.Set excluded)`
    `ExcludingPluginFilter (java.lang.String[] excluded)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `addPluginDependencies(java.util.List additionalList, GrailsPlugin plugin)`
    `` | `protected java.util.List` | `getPluginList(java.util.List original, java.util.List pluginList)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BasePluginFilter` | `addPluginDependencies, buildDerivedPluginList, buildExplicitlyNamedList, buildNameMap, filterPluginList, getAllPlugins, getNamedPlugin, getPluginList, getSuppliedNames, isDependentOn, registerDependency`

- - ### Constructor Detail

    - #### public ExcludingPluginFilter(java.util.Set excluded)

    - #### public ExcludingPluginFilter(java.lang.String[] excluded)

  - ### Method Detail

    - #### @java.lang.Override protected void addPluginDependencies(java.util.List additionalList, GrailsPlugin plugin)

    - #### @java.lang.Override protected java.util.List getPluginList(java.util.List original, java.util.List pluginList)